qemu-devel
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Qemu-devel] [RISU PATCH v5 13/13] new: run_risu.sh script


From: Alex Bennée
Subject: [Qemu-devel] [RISU PATCH v5 13/13] new: run_risu.sh script
Date: Mon, 19 Jun 2017 11:46:55 +0100

A simple script to work through running all of a bunch of files with
record/playback traces. Dumps a summary and the number of failed tests
at the end.

Signed-off-by: Alex Bennée <address@hidden>

---
v5
  - author, license, usage header
v3
  - tweak to allow specifying RISU binary
---
 run_risu.sh | 66 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 66 insertions(+)
 create mode 100755 run_risu.sh

diff --git a/run_risu.sh b/run_risu.sh
new file mode 100755
index 0000000..439cd36
--- /dev/null
+++ b/run_risu.sh
@@ -0,0 +1,66 @@
+#!/bin/bash
+#
+# Run risu against a set of binaries + trace files
+#
+# Copyright (c) 2017 Linaro Limited
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Eclipse Public License v1.0
+# which accompanies this distribution, and is available at
+# http://www.eclipse.org/legal/epl-v10.html
+#
+# Contributors:
+#     Alex Bennée <address@hidden> - initial implementation
+#
+# Usage:
+#   (optional) export QEMU=/path/to/qemu
+#   (optional) export RISU=/path/to/risu
+#   ./run_risu.sh  ./testcases.aarch64/*.bin
+
+set -e
+
+passed=()
+failed=()
+missing=()
+
+if test -z "$RISU"; then
+    script_dir=$(CDPATH= cd -- "$(dirname -- "$0")" && pwd -P)
+    RISU=${script_dir}/risu
+fi
+
+for f in $@; do
+    t="$f.trace"
+    echo "Running $f against $t"
+    if [ -e $t ]; then
+        ${QEMU} ${RISU} $f -t $t
+        if [ $? == 0 ]; then
+            passed=( "address@hidden" $f )
+        else
+            failed=( "address@hidden" $f )
+        fi
+    else
+        missing=( "address@hidden" $f )
+    fi
+done
+
+if test address@hidden -gt 0; then
+    echo "Tests missing address@hidden trace files:"
+    for m in "address@hidden"; do
+        echo "$m"
+    done
+fi
+
+if test address@hidden -gt 0; then
+    echo "Passed address@hidden tests:"
+    for p in "address@hidden"; do
+        echo "$p"
+    done
+fi
+
+if test address@hidden -gt 0; then
+    echo "Failed address@hidden tests:"
+    for f in "address@hidden"; do
+        echo "$f"
+    done
+fi
+
+exit address@hidden
-- 
2.13.0




reply via email to

[Prev in Thread] Current Thread [Next in Thread]